Could not find a version that satisfies conda for python 3

I want to install conda command not anaconda but I have this erreur all time : C:\Windows\system32>pip install conda Collecting conda Using cached conda-4.3.13.tar.gz Collecting pycosat>=0.6.1...

one hot encoding for frequent values only

I am looking to do one hot encoding to a column, but only for those that are very frequent. All that are below a threshold T will be put in their own category. My strategy was to create a...

running librosa & numba on raspberry pi 3

I am trying to run librosa on my raspberry pi 3. After hours of searching through the internet I was finally able to install it but it still throws an error when I try to import it. First, I had...

How to create new environment from a text file without environment name?

I am trying to create a new environment in Anaconda from a given file provided by Udacity here. However, I keep getting this error: SpecNotFound: Can't process without a name I think this is due...

Conda takes 20+ minutes to solve environment when package is already installed

NOTE: I'm duplicating this post because the question has been up on the conda github page for ~6-days with no response. The original link is...

Python 3.7 anaconda environment - import _ssl DLL load fail error

I created anaconda environment with Python=3.7 and have trouble with the error of _ssl and DLL. When I tried to get back to my base environment, I have trouble getting the background processes to...

Anaconda warning conda.common.logic:get_sat_solver_cls(278)

(base) C:\Users>conda update --all Collecting package metadata: done Solving environment: / WARNING conda.common.logic:get_sat_solver_cls(278): Could not run SAT solver through interface...

Import error of contextily package in python

I installed the package contextily with pip install contextily, it appears when I do conda list # Name Version Build Channel _ipyw_jlab_nb_ext_conf ...

WEBP support not installed error with Pillow included in Anaconda

I have written a small code to open webp image in the Anaconda prompt. from PIL import Image im = Image.open('test.webp') It causes the following...

"AssertionError: Torch not compiled with CUDA enabled" in spite upgrading to CUDA version

I figured out this is a popular question, but still I couldn't find a solution for that. I'm trying to run a simple repo Here which uses PyTorch. Although I just upgraded my Pytorch to the latest...

UnsatisfiableError: The following specifications were found to be incompatible with each other:

I am running on Ubuntu 16.04 and I have run into issues with Anaconda. Due to package inconsistencies, I can no longer install, update or remove packages. $ conda info NVIDIA: no NVIDIA devices...

ERROR: You must give at least one requirement to install -- when running: pip install --upgrade --no-binary hdbscan

I am trying to install hdbscan in my PC which runs Windows 10 and has installed Python 3.6. My first attempt failed: (base) C:\WINDOWS\system32>pip install hdbscan --user Collecting hdbscan ...

No module named 'matplotlib.artist'

I faced with this error No module named 'matplotlib.artist' here is the complete error: --------------------------------------------------------------------------- ModuleNotFoundError ...

error H13 on heroku on an dash application

import requests from bs4 import BeautifulSoup import pandas as pd import dash import dash_core_components as dcc import dash_html_components as html import...

Can't install any package that includes tqdm

The last couple of hours I've been updating my python and anaconda packages, but I have hit a wall regarding this tqdm package. The first thing I tried was installing nbformat with: conda install...

Problem with creating an environment from .yml file, error "CondaEnvException: Pip failed" raised

I am trying to create an environment based on a .yml file, the name of the file is env.yml . I run the following snippet on terminal: conda env create -f env.yml Then anaconda starts...

virtualenv: pre-installed with packages on creating virtual environment

I created a virtual environment using command virtualenv env on my terminal. On using pip freeze > requirements.txt after activating the virtual environment, I was a bunch of packages...

Why does `conda list cudnn` have no output after `conda install pytorch torchvision cudatoolkit=10.2 -c pytorch` installation

*Please feel free to vote "Reopen" at the bottom of this question. The reason is that I have marked this as a duplicate although the answers there are not clear enough for this question.* As soon...

"ImportError: No module named seaborn" in Azure ML

Created a new compute instance in Azure ML and trained a model with out any issue. I wanted to draw a pairplot using seaborn but I keep getting the error "ImportError: No module named seaborn" I...

(Windows 10) Miniconda Pyopencl - ImportError: DLL load failed while importing _cl: The specified procedure could not be found

I've been working with pyopencl on my Macbook. I installed miniconda and installed pyopencl from there by using these instructions. On my Mac everything works fine, I can run a small example...

Importing the numpy C-extensions failed for embedded Python code

I seem to have a problem importing numpy only when trying to run my C++ code with embedded Python. The following code is just a dummy code that captures the problem. Python: from __future__ import...

I have a ModuleNotFoundError: No module named 'Crypto'

Please need help When I try to run myfile.py it says, ModuleNotFoundError: No module named 'Crypto' ,but I already have the path for 'conda' and 'anaconda3' in my environment variables, I also...

Conda failed to solve environment on a fresh installation

I've encountered a strange issue with Conda on a fresh installation of Python. I recently installed Miniconda3, and created a new environment using it. Then, when I tried to install Spyder in said...

It seems that scikit-learn has not been built correctly

I have been using Jupyter Notebook for my machine learning project. Before scikit-learn was working fine but eventually I installed pip install imblearn and pip install -U imbalanced-learn after...

Trouble installing turbodbc

I am attempting to install turbodbc on my Ubuntu 20.10 machine. My specs are as follows: pip 20.2.4, Python 3.8.5 , gcc (Ubuntu 10.2.0-13ubuntu1) 10.2.0 I have attempted the solutions provided in...

Invalid requirement

I converted the requirements of my project into a txt file with the method below. pip freeze > requirements.txt And I tried to load the generated txt file with the code below to test it, but I...

Updating packages in conda

I have a problem with updating packages in conda. The list of my installed packages is: # # Name Version Build Channel _anaconda_depends 2020.07 ...

This version of ChromeDriver only supports Chrome version 87 Current browser version is 90.0.4430.93

ChromeDriver is giving an error about its version being too low: This version of ChromeDriver only supports Chrome version 87 Current browser version is 90.0.4430.93. I've updated pip's packages...

How to fix strict error when loading RoBerta using PyTorch

Any tips on how to fix this? Trying to follow the basic torch guide here: https://pytorch.org/hub/pytorch_fairseq_roberta/ but running into this error: <ipython-input-16-53ecab33b355> in <module> ...

UnsatisfiableError while installing Miniconda

I wanted to reinstall Miniconda. I have first removed the entire Miniconda install directory, edited the bashrc file to remove the Miniconda directory from the PATH environment, and removed the...